# Uses of Enum
io.dapr.client.domain.StateOptions.Consistency

Packages that use StateOptions.Consistency
Package
Description
io.dapr.client.domain

## Uses of StateOptions.Consistency in io.dapr.client.domain

Methods in io.dapr.client.domain that return StateOptions.Consistency
Modifier and Type
Method
Description
`static StateOptions.Consistency`
StateOptions.Consistency.`fromValue(String value)`
`StateOptions.Consistency`
StateOptions.`getConsistency()`
`static StateOptions.Consistency`
StateOptions.Consistency.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static StateOptions.Consistency[]`
StateOptions.Consistency.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Constructors in io.dapr.client.domain with parameters of type StateOptions.Consistency
Modifier
Constructor
Description
``
`StateOptions(StateOptions.Consistency consistency, StateOptions.Concurrency concurrency)`
Represents options for a Dapr state API call.